QGIS Application - Bug report #17348
Right clicking layer in canvas causes zoom out to 1,000,000
2017-10-28 10:28 AM - Patrick Dunford

Status: Feedback

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Debian 9.1 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25245
Description

In my project | am right clicking on the names of the layers in the layer list to view or change layer properties. When | do this, very often the
zoom level on the canvas will suddenly go right out to over 1:1,000,000.

This is observed with the master 6297d19 but not with earlier ones such as 313ec55.

History

#1 - 2017-10-28 10:57 AM - Patrick Dunford

| see that the first option on a right click menu for a layer is "Zoom to layer".

This issue is possibly related therefore to the general limitations that | have noticed working in Linux with things that get clicked accidentally much more
often than in Windows. There seems to be some inherent limitation on the versions of Linux | have used (mostly running xfce) with things that are too easy
to click by mistake. But is this an operating system issue or an application issue.

The problem is the right click menu appears right where the mouse pointer is and because of this issue with it being so easy to accidentally click the first

item on the menu, this zoom to layer is getting clicked without intending to a lot of the time.

#2 - 2017-10-28 06:04 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Open to Closed

I don't think we ca handle also idiosyncrasies of each OS :)

#3 - 2017-10-29 10:57 AM - Patrick Dunford
- File qgis2.mp4 added

| have tested this further and believe it is a real issue in the Linux edition of Qgis. when right clicking a layer the right click menu often comes up with the
first item on the menu selected by default then it is extremely easy (because of limitations in the GUI) for this item to be clicked mistakenly. The attached
video shows how fast this can happen (at about 8 seconds in)

#4 - 2017-10-29 10:59 AM - Giovanni Manghi

Patrick Dunford wrote:
| have tested this further and believe it is a real issue in the Linux edition of Qgis. when right clicking a layer the right click menu often comes up with
the first item on the menu selected by default then it is extremely easy (because of limitations in the GUI) for this item to be clicked mistakenly. The

attached video shows how fast this can happen (at about 8 seconds in)

| use QGIS daily on KDE, Mate and Unity on different machines and can't see this happen.

#5 - 2017-10-29 10:49 PM - Patrick Dunford
OK

my computer isn't doing it now, it was doing it yesterday when | was able to capture the video clip

so some weird bug in something that just pops up randomly.

#6 - 2017-12-17 10:31 AM - Patrick Dunford
- Status changed from Closed to Reopened

So this really is an issue. Qgis is the only software on my computer that | have this shortcut (or right click) menu problem with. It is actually not that hard to
accidentally right click the first item in the menu which is zoom to layer as | have done it many, many times.
There are lots of possible solutions, like for example: remove the top menu item, or rearrange the menu items and make the first one an item that has a

submenu

#7 - 2019-03-09 04:28 PM - Giovanni Manghi
- Status changed from Reopened to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Files

qgis2.mp4 1.28 MB 2017-10-29 Patrick Dunford
